検証リクエストのキャンセル
ユーザーが正しいコードを入力した場合でも、Verify API にキャンセル要求を送信して検証プロセスを終了することができます。
必要に応じて、サンプルコードの以下の変数を独自の値に置き換えてください:
| キー | 説明 |
|---|---|
JWT | Used to authenticate your request. See Authentication for more information, including how to generate a JWT. |
REQUEST_ID | The ID of the Verify request (this is returned in the API response when you send a verification code) |
VONAGE_APPLICATION_PRIVATE_KEY_PATH | Private key path. |
VONAGE_APPLICATION_ID | The Vonage Application ID. |
Write the code
Add the following to cancel-request.sh:
curl -X DELETE "https://api.nexmo.com/v2/verify/$VERIFY_REQUEST_ID" \
-H "Authorization: Bearer $JWT"\
-H 'Content-Type: application/json'Run your code
Save this file to your machine and run it:
Prerequisites
npm install @vonage/server-sdkCreate a file named cancel-request.js and add the following code:
const { Vonage } = require('@vonage/server-sdk');
const vonage = new Vonage ({
applicationId: VONAGE_APPLICATION_ID,
privateKey: VONAGE_APPLICATION_PRIVATE_KEY_PATH,
});Write the code
Add the following to cancel-request.js:
vonage.verify2.cancel(VERIFY_REQUEST_ID)
.then((status) => status
? console.log('Request cancelled')
: console.log('Request was already fullfilled or request id is invalid'),
)
.catch((error) => console.error(error));Run your code
Save this file to your machine and run it:
Prerequisites
Add the following to build.gradle:
implementation 'com.vonage:server-sdk-kotlin:2.1.1'Create a class named CancelVerificationRequest and add the following code to the main method:
val client = Vonage {
applicationId(VONAGE_APPLICATION_ID)
privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
}Write the code
Add the following to the main method of the CancelVerificationRequest class:
client.verify.request(VERIFY_REQUEST_ID).cancel()Run your code
We can use the アプリケーション plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''Run the following gradle command to execute your application, replacing com.vonage.quickstart.kt.verify with the package containing CancelVerificationRequest:
Prerequisites
Add the following to build.gradle:
implementation 'com.vonage:server-sdk:9.3.1'Create a class named CancelRequest and add the following code to the main method:
VonageClient client = VonageClient.builder()
.applicationId(VONAGE_APPLICATION_ID)
.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
.build();Write the code
Add the following to the main method of the CancelRequest class:
client.getVerify2Client().cancelVerification(VERIFY_REQUEST_UUID);Run your code
We can use the アプリケーション plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''Run the following gradle command to execute your application, replacing com.vonage.quickstart.verify2 with the package containing CancelRequest:
Prerequisites
Install-Package VonageCreate a file named CancelRequest.cs and add the following code:
using Vonage;
using Vonage.Request;Add the following to CancelRequest.cs:
var credentials = Credentials.FromAppIdAndPrivateKeyPath(VONAGE_APPLICATION_ID, VONAGE_APPLICATION_PRIVATE_KEY_PATH);
var client = new VonageClient(credentials);Write the code
Add the following to CancelRequest.cs:
var request = Vonage.VerifyV2.Cancel.CancelRequest.Parse(REQUEST_ID);
var response = await client.VerifyV2Client.CancelAsync(request);Prerequisites
composer require vonage/clientCreate a file named cancel.php and add the following code:
Run your code
Save this file to your machine and run it:
Prerequisites
pip install vonage python-dotenvWrite the code
Add the following to cancel-request.py:
from vonage import Auth, Vonage
client = Vonage(
Auth(
application_id=VONAGE_APPLICATION_ID,
private_key=VONAGE_PRIVATE_KEY,
)
)
client.verify.cancel_verification(request_id=VERIFY_REQUEST_ID)Run your code
Save this file to your machine and run it:
Prerequisites
gem install vonageCreate a file named cancel.rb and add the following code:
Run your code
Save this file to your machine and run it: